Bug 1024406 - Switching between java VNC viewers with alt-tab results in loss of keyboard input focus [NEEDINFO]
Switching between java VNC viewers with alt-tab results in loss of keyboard i...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.4
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 11:27 EDT by Jeff Forbes
Modified: 2017-12-06 05:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 883445
Environment:
Last Closed: 2017-12-06 05:26:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (jeff.forbes)


Attachments (Terms of Use)

  None (edit)
Description Jeff Forbes 2013-10-29 11:27:00 EDT
+++ This bug was initially created as a clone of Bug #883445 +++

Description of problem:
Using alt-tab to move between tigervnc java viewers results in loss of keyboard input and spurious mouse input.

Version-Release number of selected component (if applicable):
tigervnc-server-applet-1.1.0-5.el6_4.1
$ java -version
java version "1.7.0_45"
OpenJDK Runtime Environment (rhel-2.4.3.2.el6_4-x86_64 u45-b15)
OpenJDK 64-Bit Server VM (build 24.45-b08, mixed mode)


How reproducible:
Always

Steps to Reproduce:
1. Launch to qemu-kvm VMs with vnc output to different ports
2. Launch two instances of the java viewer to connect to the kvm vnc servers
3. Log in and open terminal windows on each.
4. Typing into terminal windows works
5. Switch between windows with alt-tab
6. Switch back to one of the java viewer windows
7. Try typing in to windows
8. Repeat until keyboard input to terminal window no longer works
  
Actual results:

keyboard input lost and mouse opens up drop down menus

Expected results:
No different when switching between windows.

Additional info:

May be related to information here:
http://dogfeathers.com/mark/java7issue.html
Comment 2 Tim Waugh 2013-11-22 11:25:38 EST
I haven't been able to reproduce this.

How are you starting the java viewer?
Comment 4 Jan Kurik 2017-12-06 05:26:47 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.